🌍 Astrocartography API and ✋ Palmistry API are now live. Ship them in your app today.Get Started

Basic Gemstone Suggestions

This API provides gemstone suggestions based on different aspects of a person's life. The response includes the name of the gemstone, semi-gemstone, the finger to wear it on, weight in carats, metal to wear it with, day to wear it, and the deity associated with the gemstone.
POSThttps://json.astrologyapi.com/v1/basic_gem_suggestion

Authentication

x-astrologyapi-keystringrequired

API access token used to authenticate requests. Send your access token in this custom header.

Accept-Languagestring

Preferred language for the response content. Supported: English - en, Hindi - hi, Marathi - ma, Bengali - bn, Tamil - ta, Telugu - te, Malayalam - ml, Kannada - kn.

Body parameters

dayintrequired

Date of birth, eg: 10

monthintrequired

Month of birth, eg: 5

yearintrequired

Year of birth, eg: 1990

hourintrequired

Hour of birth, eg: 19

minintrequired

Minute of birth, eg: 55

latfloatrequired

Latitude, eg: 19.2056

lonfloatrequired

Longitude, eg: 25.2056

tzonefloatrequired

Timezone, eg: 5.5

curl --location 'https://json.astrologyapi.com/v1/basic_gem_suggestion' \
  --header 'Content-Type: application/json' \
  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
  --data '{
    "day": 10,
    "month": 5,
    "year": 1990,
    "hour": 19,
    "min": 55,
    "lat": 19.2056,
    "lon": 25.2056,
    "tzone": 5.5
}'
Try it

Runs with sample data — no API key needed

{
  "LIFE": {
    "name": "Ruby",
    "gem_key": "ruby",
    "semi_gem": "Red Garnet",
    "wear_finger": "Ring",
    "weight_caret": "3 - 4.25",
    "wear_metal": "Gold",
    "wear_day": "Sunday",
    "gem_deity": "Sun"
  },
  "BENEFIC": {
    "name": "Yellow Sapphire",
    "gem_key": "yellow_sapphire",
    "semi_gem": "Topaz",
    "wear_finger": "Index",
    "weight_caret": "4 - 5.25",
    "wear_metal": "Gold",
    "wear_day": "Thursday",
    "gem_deity": "Jupiter"
  },
  "LUCKY": {
    "name": "Red Coral",
    "gem_key": "red_coral",
    "semi_gem": "Red Agate",
    "wear_finger": "Index",
    "weight_caret": "6 - 10.25",
    "wear_metal": "Gold",
    "wear_day": "Tuesday",
    "gem_deity": "Mars"
  }
}